<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <artifactId>AntiRedstoneClock-Reborn</artifactId>
    <groupId>com.trafalcraft.antiRedstoneClock</groupId>
    <version>2.0</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>MAIN</artifactId>
  <build>
    <sourceDirectory>${project.basedir}/src/main/java</sourceDirectory>
    <resources>
      <resource>
        <directory>${project.basedir}/src/main/resources</directory>
        <includes>
          <include>plugin.yml</include>
          <include>config.yml</include>
        </includes>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <version>3.1.0</version>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <repositories>
    <repository>
      <id>spigot-repo</id>
      <url>https://hub.spigotmc.org/nexus/content/repositories/snapshots/</url>
    </repository>
    <repository>
      <id>CodeMC</id>
      <url>https://repo.codemc.org/repository/maven-public</url>
    </repository>
    <repository>
      <id>sk89q-repo</id>
      <url>https://maven.enginehub.org/repo/</url>
    </repository>
    <repository>
      <id>plotsquared</id>
      <url>https://plotsquared.com/mvn/</url>
    </repository>
  </repositories>
  <dependencies>
    <dependency>
      <groupId>org.spigotmc</groupId>
      <artifactId>spigot-api</artifactId>
      <version>1.21.4-R0.1-SNAPSHOT</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>guava</artifactId>
          <groupId>com.google.guava</groupId>
        </exclusion>
        <exclusion>
          <artifactId>gson</artifactId>
          <groupId>com.google.code.gson</groupId>
        </exclusion>
        <exclusion>
          <artifactId>joml</artifactId>
          <groupId>org.joml</groupId>
        </exclusion>
        <exclusion>
          <artifactId>bungeecord-chat</artifactId>
          <groupId>net.md-5</groupId>
        </exclusion>
        <exclusion>
          <artifactId>snakeyaml</artifactId>
          <groupId>org.yaml</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.sk89q.worldguard</groupId>
      <artifactId>worldguard-bukkit</artifactId>
      <version>7.0.14</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>worldguard-core</artifactId>
          <groupId>com.sk89q.worldguard</groupId>
        </exclusion>
        <exclusion>
          <artifactId>worldedit-bukkit</artifactId>
          <groupId>com.sk89q.worldedit</groupId>
        </exclusion>
        <exclusion>
          <artifactId>paperlib</artifactId>
          <groupId>io.papermc</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.intellectualsites.plotsquared</groupId>
      <artifactId>plotsquared-bukkit</artifactId>
      <version>7.5.6</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>plotsquared-core</artifactId>
          <groupId>com.intellectualsites.plotsquared</groupId>
        </exclusion>
        <exclusion>
          <artifactId>squirrelid</artifactId>
          <groupId>org.enginehub</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ServerLib</artifactId>
          <groupId>dev.notmyfault.serverlib</groupId>
        </exclusion>
        <exclusion>
          <artifactId>Arkitektonika-Client</artifactId>
          <groupId>com.intellectualsites.arkitektonika</groupId>
        </exclusion>
        <exclusion>
          <artifactId>Paster</artifactId>
          <groupId>com.intellectualsites.paster</groupId>
        </exclusion>
        <exclusion>
          <artifactId>informative-annotations</artifactId>
          <groupId>com.intellectualsites.informative-annotations</groupId>
        </exclusion>
        <exclusion>
          <artifactId>paperlib</artifactId>
          <groupId>io.papermc</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>net.kyori</groupId>
      <artifactId>adventure-platform-bukkit</artifactId>
      <version>4.4.1</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>adventure-platform-api</artifactId>
          <groupId>net.kyori</groupId>
        </exclusion>
        <exclusion>
          <artifactId>adventure-text-serializer-bungeecord</artifactId>
          <groupId>net.kyori</groupId>
        </exclusion>
        <exclusion>
          <artifactId>adventure-text-serializer-legacy</artifactId>
          <groupId>net.kyori</groupId>
        </exclusion>
        <exclusion>
          <artifactId>adventure-nbt</artifactId>
          <groupId>net.kyori</groupId>
        </exclusion>
        <exclusion>
          <artifactId>adventure-text-serializer-gson</artifactId>
          <groupId>net.kyori</groupId>
        </exclusion>
        <exclusion>
          <artifactId>adventure-text-serializer-gson-legacy-impl</artifactId>
          <groupId>net.kyori</groupId>
        </exclusion>
        <exclusion>
          <artifactId>adventure-platform-facet</artifactId>
          <groupId>net.kyori</groupId>
        </exclusion>
        <exclusion>
          <artifactId>adventure-platform-viaversion</artifactId>
          <groupId>net.kyori</groupId>
        </exclusion>
      </exclusions>
    </dependency>
  </dependencies>
  <properties>
    <module.info>-IGNORE</module.info>
    <maven.compiler.target>1.8</maven.compiler.target>
    <maven.compiler.source>1.8</maven.compiler.source>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
</project>

